.product-card {border: 1px solid #bdbdbd;border-radius: 20px;padding: 20px;overflow: hidden;transition: all 0.3s ease;position: relative;box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);height: 100%;display: flex;flex-direction: column;}
.product-image {flex-direction: column;position: relative;display: flex;align-items: center;justify-content: center;height: 275px;text-align: center;padding: 0 20px;overflow: hidden;}
.product-image img {max-width: 100%;max-height: 100%;object-fit: contain;transition: transform 0.4s ease;}
.product-card:hover .product-image img {transform: scale(1.05);}
/* Icons */
.product-icons {position: absolute;top: 0px;right: 0;display: flex;flex-direction: column;gap: 10px;}
.icon-btn {width: 39px;height: 39px;background:var(--bs-custom-btn);border-radius: 100%;display: flex;align-items: center;justify-content: center;text-decoration: none;color: #fff;font-size: 24px;transition: all 0.3s ease;}
/* Hover Color */
.product-card:hover .icon-btn {background:var(--bs-theme-color);color:var(--bs-text-color-white);}
/* Content */
.product-content {margin-top: 20px;border: 1px solid #e0e0e0;border-radius: 20px;padding: 14px;flex: 1;display: flex;flex-direction: column;justify-content: space-between;}
.product-category {font-size: 18px;font-weight: 500;color:var(--bs-text-color-black);}
.product-title {font-size: 18px;font-weight: 700;color: var(--bs-text-color-black);margin: 20px 0px;line-height: 1.4;text-decoration: none;display: block;display: -webkit-box;-webkit-line-clamp: 2; /* max 2 line */-webkit-box-orient: vertical;overflow: hidden;}
/* Bottom */
.product-bottom {display: flex;justify-content: space-between;align-items: center;gap: 15px;}
.cart-btn {border: none;background: #222;color: #fff;padding: 8px 27px;border-radius: 20px;font-size: 16px;font-weight: 600;transition: all 0.3s ease;text-decoration: none;}
.cart-btn::after {content: "";position: absolute;top: 0;left: -100%;width: 60%;height: 100%;background: rgba(20, 20, 20, 0.2);transform: skewX(-25deg);transition: 0.5s;}
.cart-btn:hover::after {left: 120%;}
.cart-btn:hover {transform: translateY(-2px);}
.cart-btn {position: relative;overflow: hidden;display: inline-block;transition: transform 0.3s ease;}
/* Button Hover */
.product-card:hover .cart-btn {background:var(--bs-theme-color);color:var(--bs-text-color-white);}
.price del {color: #9e9e9e;font-size: 16px;margin-right: 6px;}
.price span {font-size: 16px;font-weight: 700;color:var(--bs-text-color-black);}
span.product-category-sub {font-size: 14px;color: #262626;}
/* .product-card:hover .product-title {
    color: #00E8A6;
} */
.rating {display: flex;justify-content: center;}
.review__rating {position: relative;float: left;width: 90px;background-image: url('../images/star-outline.svg');background-position: left top;background-repeat: repeat-x;height: 18px;overflow: hidden;}
.review__rating .icn {position: absolute;left: 0px;top: 0;background-image: url('../images/fill-star.svg');background-position: left top;background-repeat: repeat-x;height: 18px;}
.featured-products .slick-dots {bottom: -47px;display: flex !important;justify-content: center;align-items: center;gap: 10px;}
.featured-products .slick-dots li {width: auto;height: auto;margin: 0;}
/* Default Dot */
.featured-products .slick-dots li button {width: 13px;height: 13px;padding: 0;border-radius: 50%;background:var(--bs-custom-btn);border: none;transition: all 0.3s ease;}
.featured-products .slick-dots li button:before {display: none;}
/* Active Dot */
.featured-products .slick-dots li.slick-active button {width: 51px;height: 15px;border-radius: 30px;background:var(--bs-theme-color);}
.featured-products .slick-track {display: flex;}
.row.featured-products .slick-slide {display: flex;margin: 7px;height: auto;margin-top: 40px;}

.filter-icon a {display: flex;gap: 7px;font-size: 16px;text-decoration: none;color: var(--bs-text-color-black); width: fit-content;}
.product-list-header {padding: 40px 0px;}
.show-result {margin-top: 50px;display: flex;justify-content: space-between;}
.sort-select {border: none;outline: none;background: transparent;font-size: 14px;cursor: pointer;padding: 0;color: var(--bs-text-color-black);padding-right: 8px; cursor: pointer;}
.sort-select:focus {outline: none;}
.result p {font-size: 14px;line-height: 29px;margin: 0px;color: var(--bs-text-color-black);}
.space-top {margin-top: 0px;}
.pagination {display: flex;padding-left: 0;list-style: none;align-items: center;gap: 10px;justify-content: center;margin-bottom: 0px;}
.pagination li {list-style: none;}
.pagination a.active {background:var(--bs-theme-color);color: #fff;}
.pagination a {display: flex;justify-content: center;align-items: center;width: 45px;height: 45px;background: var(--bs-bg-mint-color);color: #000;border-radius: 50%;font-weight: 600;font-size: 16px;text-decoration: none;transition: 0.3s;border-color: var(--bs-theme-color);border: 1px solid var(--bs-theme-color);}
.product-pagination {margin-top:80px;}
.product-pagination i {font-size: 34px;}
.pagination a:hover{background: var(--bs-theme-color); color: var(--bs-text-color-white);}

.product-item{
  display: none;
}







@media (min-width: 1025px) and (max-width: 1364px) {
.cart-btn {padding: 8px 17px;white-space: nowrap;}
.product-card {padding: 16px;}
.show-result {margin-top: 20px;}
.product-list-header { padding: 20px 0px;}
}

@media (min-width: 768px) and (max-width: 1024px) {
.cart-btn {padding: 8px 17px;white-space: nowrap;}
.product-card {padding: 16px;}
.show-result {margin-top: 20px;}
.product-list-header { padding: 20px 0px;}
 }

@media (max-width: 767px) { 
 .container.custom-width {padding: 0 15px; max-width: 100%;}   
.product-bottom {display: block;}
.product-title {font-size: 16px;margin: 13px 0px;}
.row.featured-products .slick-slide {margin: 15px;}
.featured-products .slick-dots {bottom: -31px;}
.pagination a {width: 35px;height: 35px;font-size: 14px;}
.product-list-header { padding: 20px 0px;}
.show-result {margin-top: 20px;}
.product-pagination i { font-size: 23px;}
#products-container .product-card {padding: 8px;}
#products-container .col-lg-4.col-sm-6 {
    width: 50%;
}
   

}


@media (max-width: 576px) {
#products-container .product-image {height: 140px;padding: 10px;}
#products-container .product-image img {max-width: 150px;height: auto;object-fit: contain;}
#products-container .icon-btn {width: 26px;height: 26px;font-size: 17px;}
#products-container .col-lg-4.col-sm-6 {width: 50%;padding-left: 6px;padding-right: 6px;}
#products-container .product-title {font-size: 13px;font-weight: 600;margin: 6px 0px;}
#products-container .cart-btn {padding: 3px 14px;font-size: 13px;text-align: center;font-weight: 500;white-space: nowrap;}
#products-container .product-card {padding: 8px;border-radius: 10px;}
#products-container .product-content {padding: 9px;border-radius: 10px;}
#products-container > div:last-child .product-card {margin-bottom: 30px;}
#products-container .product-icons {gap: 5px;}
#products-container .review__rating {width: 68px;height: 14px;}
#products-container .review__rating .icn {height: 14px;}
#products-container .price del {font-size: 14px;}
#products-container .price span {font-size: 14px;}

}